Subject: Re: bug#35472:

From: François-René Rideau <[email-masked]>
Date: Mon, 9 Aug 2021 21:22:25 -0400

My apologies: I was just confused about the syntax of bind entries in
/etc/fstab.

"bind" goes in the options field (no ",defaults" needed), whereas
"none" goes in the type field. I tried it this way and mount works
just fine on Guix as well as on NixOS and Debian and other Linux
variants; and with my incorrect syntax (with "bind" in the type field)
it fails on all of them.

Now, whereas the guix manual does need clarification about
"bind-mount", I see that there is a recipe in the cookbook that
specifically explains how to declare bind entries in Guix.